Skip to main content
GET
/
api
/
v1
/
backchannel
/
scenarios
cURL
curl --request GET \
  --url https://tilt.io/api/v1/backchannel/scenarios \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "articles_found": 123,
  "articles": [
    {
      "point_id": "<string>",
      "headline": "<string>",
      "date": "<string>",
      "content": "<string>",
      "tilt_source": "",
      "importance_rating": 0,
      "importance_rationale": "",
      "generated_at": "",
      "article_image_url": "<string>",
      "fallback_image_id": "<string>",
      "timeline": [],
      "scenarios": [],
      "subject_codes": [],
      "subject_codes_original": [],
      "prediction_markets": [],
      "score": 123,
      "tilt_asset_ids": [],
      "portfolio_exposure": {
        "mad_pct": 123,
        "expected_return_pct": 123,
        "num_leaf_scenarios": 123,
        "leaf_details": [
          {
            "path": [
              "<string>"
            ],
            "title": "<string>",
            "joint_probability_pct": 123,
            "portfolio_return_pct": 123,
            "abs_portfolio_return_pct": 123
          }
        ],
        "scenario_level_details": [
          {
            "title": "<string>",
            "description": "<string>",
            "probability_pct": 123,
            "portfolio_return_mean_pct": 123,
            "portfolio_return_std_pct": 123,
            "macro_shocks": [
              {
                "indicator": "<string>",
                "mean": 123,
                "std": 123
              }
            ],
            "sub_scenario_count": 123
          }
        ]
      }
    }
  ],
  "has_more": false,
  "next_offset": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
limit
integer
offset
integer
include_content
boolean
min_importance
integer
seen_image_ids
string[]
seen_window
integer
viewer_user_id
string

Response

200 - application/json

List article scenarios with optional filtering

success
boolean
required
articles_found
integer
required
articles
object[]
required
has_more
boolean
default:false
next_offset
integer | null